﻿/*  
Image swap for navigation.
There are three states to be dealt with in this navigation script
        1. mouseover = rollover event
        2. mouseout = normal state
        3. active = click event.
*/

// Preload images
function preloadImages(){
    var imgNames = ['graphics/guides_over.gif','graphics/examples_over.gif','graphics/activities_over.gif','graphics/resources_over.gif','graphics/evaluation_over.gif', 'graphics/guides_active.gif','graphics/examples_active.gif','graphics/activities_active.gif','graphics/resources_active.gif','graphics/evaluation_active.gif', 'styles/graphics/remote.gif'];
    var imgObjects = [];
 
    for(var i = 0; i < imgNames.length; i++){
        imgObjects[i] = new Image();
        imgObjects[i].src = imgNames[i];
    }
}


// Attach the event listeners 
function attachEventListener(target, eventType, functionRef, capture){
      if (typeof target.addEventListener != "undefined"){
        target.addEventListener(eventType, functionRef, capture);
      } else if (typeof target.attachEvent != "undefined"){
        target.attachEvent("on" + eventType, functionRef);
      } else {
        eventType = "on" + eventType;
        if(typeof target[eventType] == "function"){
            var oldListener = target[eventType];
            target[eventType] = function(){
                oldListener();
                return functionRef();
            };
        }else{
            target[eventType] = functionRef;
    }
  }
}

// Add event listeners
function addListeners(e){	
	
	var linkList = document.getElementsByTagName('a');

// Loop through each link and determine the mouse state 
	for(x=0;x<linkList.length;x++){
	var idString = linkList[x].getAttribute('id');
	var theLink = document.getElementById(idString);
	var obj2 = new obj(theLink);
	
	attachEventListener(theLink,'mouseover',obj2.rollover,false);	
	attachEventListener(theLink,'mouseout',obj2.normal,false);
	attachEventListener(theLink,'focus',obj2.rollover,false);	
	attachEventListener(theLink,'blur',obj2.normal,false);
	attachEventListener(theLink,'click',obj2.active,false);
	}
}
attachEventListener(window,'load',addListeners,false);

// Determine the event for each of the mouse states
function obj(theLink){
    var thething = theLink;
     
    this.rollover = ofnRollover;
    this.normal = ofnNormal;
    this.active = ofnActive;
    
        // On mouseover event
        function ofnRollover(){
            var linkID = thething.id;
            var imageID = linkID + '_img';
            var newSrc = "graphics/" + linkID + '_over.gif';
            if (document.getElementById(imageID).getAttribute("src").indexOf("_active")== -1){
                document.getElementById(imageID).setAttribute("src", newSrc);
            }
        }
        
        // On mouseout event
        function ofnNormal(){
            var linkID = thething.id;
            var imageID = linkID + '_img';
            var oldSrc = "graphics/" + linkID + '.gif';
            if (document.getElementById(imageID).getAttribute("src").indexOf("_active")== -1){
                document.getElementById(imageID).setAttribute("src", oldSrc);
            }
        } 
        
        // On click event 
        function ofnActive(){
            var linkID = thething.id;
            var imageID = linkID + '_img';
            var oldSrc = "graphics/" + linkID + '.gif';                 
            var links = document.getElementsByTagName("a");
            var newSrc = "graphics/" + linkID + '_active.gif';
            
            // loop through the links
            // if '_active' is in the src change to original
            for(var i=0;i < links.length; i++) {
                  var currentLinkID = links[i].getAttribute("id");
                  var currentImageID = currentLinkID + '_img';
                  var currentOrigSrc = "graphics/" + currentLinkID + '.gif';
                  if (document.getElementById(currentImageID).getAttribute("src").indexOf("_active") != -1){
                  document.getElementById(currentImageID).setAttribute("src", currentOrigSrc);
                  }  
            }
            //set the current image to active state
            document.getElementById(imageID).setAttribute("src", newSrc);
      }
}

